Show Changes does not work
Closed, ResolvedPublic

Description

Using CodeMirror (3.1.10 (745b2f0) 05:46, 11 August 2015) in combinations with following options:

	 Show edit toolbar
	 Enable enhanced editing toolbar
	 Enable wizards for inserting links, tables as well as the search and replace function

Preview

	 Show preview on first edit
	 Show preview before edit box
	 Use live preview (experimental)

with MediaWiki 1.24.4 (see https://wiki.documentfoundation.org/Special:Version )

Is breaking the "show changes" function. It always displays
<pre>
Latest revision Your text
(No difference)
</pre>

If it is already resolved, then please add a know issue section to the page ;-)

DennisRoczek updated the task description. (Show Details)
DennisRoczek raised the priority of this task from to Needs Triage.
DennisRoczek added a subscriber: DennisRoczek.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 27 2015, 8:59 PM

Change 249357 had a related patch set uploaded (by Pastakhov):
merge to branch master (v 3.2.1)

https://gerrit.wikimedia.org/r/249357

@DennisRoczek: Can you check this patch?

Pastakhov triaged this task as Normal priority.Oct 28 2015, 7:30 AM
Pastakhov claimed this task.
Pastakhov set Security to None.

I will do test the patch, but I cannot promise anything before weekend. Thanks for this fast patch. I would like to upgrade our wiki to 1.25, but sadly we have some showstoppers which need to be resolved first. :-(

"show changes" works for me with this path in 1.24.4 but when I press button "Enable/Disable CodeMirror" I get error in browser's console "Failed to set code editor preference: token-missing undefined". May be it's only for my test wiki. I can break something when downgrading version.

It's new bug for anonymous users in all versions. I'll fix it later. this path looks fine, but I don't know resolve it your problem or not.
I just update branch REL1_24 to master. If it resolve your problem, please, close the task as resolved, if not I'll try fix it again.

Change 249357 merged by jenkins-bot:
merge to branch master (v 3.2.1)

https://gerrit.wikimedia.org/r/249357

Bug with error message for anonymous users fixed in version 3.2.2.24

DennisRoczek closed this task as Resolved.Oct 31 2015, 12:23 PM

:-) Wow. Thanks. really good job.

Thanks, you're welcome :)

Restricted Application added a project: Community-Tech. · View Herald TranscriptFeb 9 2018, 4:03 PM
TBolliger moved this task from Untriaged to Archive on the Community-Tech board.Feb 14 2018, 1:13 AM